Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v1
Class PortletParameter

    java.lang.Object
      |
      +--oracle.portal.provider.v1.PortletParameter

public class PortletParameter
extends java.lang.Object

Field Summary
`static int` | `CURRENCY`
`static java.lang.String` | `CURRENCY_NAME`
`static int` | `DATE`
`static java.lang.String` | `DATE_NAME`
`static int` | `INTEGER`
`static java.lang.String` | `INTEGER_NAME`
`static int` | `NUMBER`
`static java.lang.String` | `NUMBER_NAME`
`static int` | `STRING`
`static java.lang.String` | `STRING_NAME`

Constructor Summary
`PortletParameter()`
`PortletParameter(java.lang.String _name, int _type, java.lang.String _description)` Constructor

Method Summary
`java.lang.String` | `getDescription()` returns a short description .
`java.lang.String` | `getName()` returns this parameter's name.
`int` | `getType()` returns this parameter's type as defined in PortletParameterType.
`static java.lang.String` | `getTypeName(int type)` return the name of a type.
`static int` | `getTypeValue(java.lang.String type)` return the type from name.
`void` | `setDescription(java.lang.String _description)`
`void` | `setName(java.lang.String _name)`
`void` | `setType(int _type)`
`void` | `setType(java.lang.String _type)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STRING

    public static final int STRING

### INTEGER

    public static final int INTEGER

### NUMBER

    public static final int NUMBER

### CURRENCY

    public static final int CURRENCY

### DATE

    public static final int DATE

### STRING_NAME

    public static final java.lang.String STRING_NAME

### INTEGER_NAME

    public static final java.lang.String INTEGER_NAME

### NUMBER_NAME

    public static final java.lang.String NUMBER_NAME

### CURRENCY_NAME

    public static final java.lang.String CURRENCY_NAME

### DATE_NAME

    public static final java.lang.String DATE_NAME

Constructor Detail

### PortletParameter

    public PortletParameter(java.lang.String _name,
                            int _type,
                            java.lang.String _description)

  Constructor
  Parameters:
    `_name` - the parameter's name.
    `_type` - the type as defined in PortletParameterType.
    `_description` - a short description of what this parameter is

### PortletParameter

    public PortletParameter()

Method Detail

### getName

    public java.lang.String getName()

  returns this parameter's name.

### setName

    public void setName(java.lang.String _name)

### getType

    public int getType()

  returns this parameter's type as defined in PortletParameterType.

### setType

    public void setType(int _type)

### setType

    public void setType(java.lang.String _type)

### getDescription

    public java.lang.String getDescription()

  returns a short description .

### setDescription

    public void setDescription(java.lang.String _description)

### getTypeName

    public static java.lang.String getTypeName(int type)
                                        throws java.lang.IllegalArgumentException

  return the name of a type.
  Parameters:
    `type` - parameter type
  Returns:
    parameter type name

### getTypeValue

    public static int getTypeValue(java.lang.String type)
                            throws java.lang.IllegalArgumentException

  return the type from name.
  Parameters:
    `type` - parameter type name
  Returns:
    parameter type

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD